﻿Imports System.ComponentModel

Public Class MainWindowViewModel
    Implements INotifyPropertyChanged, INotifyPropertyChanging

    Private mSourceText As String = "123456789"
    Public Property SourceText As String
        Get
            Return mSourceText
        End Get
        Set(ByVal Value As String)
            If mSourceText <> Value Then
                mSourceText = Value
                RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs("SourceText"))
            End If
        End Set
    End Property

    Private mMaskText As String = "CCC/CCC/CCC"
    Public Property MaskText As String
        Get
            Return mMaskText
        End Get
        Set(ByVal Value As String)
            If mMaskText <> Value Then
                mMaskText = Value
                RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs("MaskText"))
            End If
        End Set
    End Property



    Public Event PropertyChanged(ByVal sender As Object, ByVal e As System.ComponentModel.PropertyChangedEventArgs) Implements System.ComponentModel.INotifyPropertyChanged.PropertyChanged

    Public Event PropertyChanging(ByVal sender As Object, ByVal e As System.ComponentModel.PropertyChangingEventArgs) Implements System.ComponentModel.INotifyPropertyChanging.PropertyChanging
End Class
